Subject: Re: Bug#758105: bug#18266: Bug#758105: bug#18266: grep -P and invalid exits with error

From: Vincent Lefevre <[email-masked]>
Date: Sat, 16 Aug 2014 18:26:21 +0200

On 2014-08-16 16:01:27 +0200, Santiago wrote:
> Workaround attached. It's too slow against binary files, but I haven't
> found a simpler solution.

To avoid the slowness, I think that it would be better to detect
(directly, not via PCRE) invalid UTF-8 sequences and replace them
by null bytes *in-place*.

It might slow down the general case, though. However I'm not sure,
because if the UTF8 validity check (via the replacement of invalid
sequences) is done in grep, it doesn't need to be done in PCRE.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)